Agent Builder
Agent Builder is a set of AI-powered capabilities for developing and interacting with agents that work with your Elasticsearch data.
Most users will probably want to integrate with Agent Builder using MCP or A2A, but you can also work programmatically with tools, agents, and conversations using the Kibana API. Follow the Agent Builder API tutorial for a guided example.
-
Send A2A task
Stack
Experimental
- POST /api/agent_builder/a2a/{agentId}
-
Get A2A agent card
Stack
Experimental
- GET /api/agent_builder/a2a/{agentId}.json
-
List agents
- GET /api/agent_builder/agents
-
Create an agent
- POST /api/agent_builder/agents
-
Get agent consumption data
Stack
Experimental
- POST /api/agent_builder/agents/{agent_id}/consumption
-
Get an agent by ID
- GET /api/agent_builder/agents/{id}
-
Update an agent
- PUT /api/agent_builder/agents/{id}
-
Delete an agent
- DELETE /api/agent_builder/agents/{id}
-
Get an agent's access control list
- GET /api/agent_builder/agents/{id}/access_control
-
Update an agent's access control list
- PUT /api/agent_builder/agents/{id}/access_control
-
List conversations
- GET /api/agent_builder/conversations
-
Create conversation
- POST /api/agent_builder/conversations
-
Get conversation by ID
- GET /api/agent_builder/conversations/{conversation_id}
-
Delete conversation by ID
- DELETE /api/agent_builder/conversations/{conversation_id}
-
Add events to a conversation
Stack
Preview
- POST /api/agent_builder/conversations/{conversation_id}/_add_events
-
Update a conversation's access control
- PUT /api/agent_builder/conversations/{conversation_id}/access_control
-
List conversation attachments
Stack
Experimental
- GET /api/agent_builder/conversations/{conversation_id}/attachments
-
Create conversation attachment
Stack
Experimental
- POST /api/agent_builder/conversations/{conversation_id}/attachments
-
Check attachment staleness
Stack
Experimental
- GET /api/agent_builder/conversations/{conversation_id}/attachments/stale
-
Get conversation attachment
Stack
Experimental
- GET /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
-
Update conversation attachment
Stack
Experimental
- PUT /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
-
Rename attachment
Stack
Experimental
- PATCH /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
-
Delete conversation attachment
Stack
Experimental
- DELETE /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
-
Restore deleted attachment
Stack
Experimental
- POST /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}/_restore
-
Update attachment origin
Stack
Experimental
- PUT /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}/origin
-
Send chat message
- POST /api/agent_builder/converse
-
Send chat message (streaming)
- POST /api/agent_builder/converse/async
-
MCP server
- POST /api/agent_builder/mcp
-
List plugins
Stack
Experimental
- GET /api/agent_builder/plugins
-
Install a plugin
Stack
Experimental
- POST /api/agent_builder/plugins/install
-
Get a plugin by id
Stack
Experimental
- GET /api/agent_builder/plugins/{pluginId}
-
Delete a plugin
Stack
Experimental
- DELETE /api/agent_builder/plugins/{pluginId}
-
List skills
Stack
Experimental
- GET /api/agent_builder/skills
-
Create a skill
Stack
Experimental
- POST /api/agent_builder/skills
-
Get a skill by id
Stack
Experimental
- GET /api/agent_builder/skills/{skillId}
-
Update a skill
Stack
Experimental
- PUT /api/agent_builder/skills/{skillId}
-
Delete a skill
Stack
Experimental
- DELETE /api/agent_builder/skills/{skillId}
-
List tools
- GET /api/agent_builder/tools
-
Create a tool
- POST /api/agent_builder/tools
-
Run a tool
- POST /api/agent_builder/tools/_execute
-
Get a tool by id
- GET /api/agent_builder/tools/{toolId}
-
Update a tool
- PUT /api/agent_builder/tools/{toolId}
-
Delete a tool
- DELETE /api/agent_builder/tools/{toolId}
-
Send a message and get the answer
Stack
Preview
- POST /api/chat/message